Skip to main content
POST
/
payouts
Create payouts (shared invoice) for one or more employees
curl --request POST \
  --url https://{host}/api/v1/payouts \
  --header 'API-key: <api-key>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "due_date": "2023-12-25",
  "payouts": [
    {
      "type": "payment",
      "date": "2023-12-25",
      "hours": 123,
      "products": [
        {
          "quantity": 123,
          "price": 123,
          "description": "<string>"
        }
      ],
      "user_id": 123,
      "phone": "<string>",
      "ssn": "<string>",
      "description": "<string>"
    }
  ],
  "send_type": "Email"
}
'
{
  "count": 123,
  "results": "<string>"
}

Authorizations

Authorization
string
header
required

Sanctum personal access token (access_tokens / partner API settings).

API-key
string
header
required

UUID API key stored for the partner user.

Body

application/json
due_date
string<date>
required
payouts
object[]
required
Minimum array length: 1
send_type
enum<string> | null
Available options:
Email,
EHF

Response

Payouts created

count
integer
required
results
string
required